<?php
namespace FiloBlu\Countdown\Model\ResourceModel;

class CountdownTranslations extends \Magento\Framework\Model\ResourceModel\Db\AbstractDb
{
    protected $connection;
    
    /**
     * Initialize resource model
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init('filoblu_countdown_translations', 'id');
        $this->connection = $this->getConnection();
    }

    public function loadByParentAndStoreId($parentId,$storeId) {

        $select = $this->connection->select()->from($this->getMainTable())->where('filoblu_countdown_id=:filoblu_countdown_id AND store_id=:store_id');

        $result = $this->connection->fetchRow($select, ['filoblu_countdown_id' => $parentId , 'store_id' => $storeId]);

        return $result;
    }

}
